//********************************************************************
//*** ResourcePool/TaskRunner/Resource.hh
//*** Copyright (c) 2003-2008 by Markus Winand <mws@fatalmind.com>
//*** $Id: Resource.hh,v 1.6 2008/01/27 16:42:28 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_TASKRUNNER_RESOURCE_HH
#define RESOURCEPOOL_TASKRUNNER_RESOURCE_HH

#ifndef INCLUDED_TASKRUNNER_HH
#include "Thread/TaskRunner.hh"
#endif

namespace fatalmind {

namespace TaskRunnerPoolInternals {

class Resource: public fatalmind::TaskRunner {
	public:
		Resource();
		~Resource();
		bool precheck();
		bool postcheck();
		void close();
		void fail_close();
		TaskRunner& get_plain_resource();
};

} // namespace TaskRunner
} // namespace fatalmind

#endif
