//********************************************************************
//*** ResourcePool/TaskRunner/Resource.cc
//*** Copyright (c) 2003-2008 by Markus Winand <mws@fatalmind.com>
//*** $Id: Resource.cc,v 1.5 2008/01/27 16:42:28 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_TASKRUNNER_RESOURCE_HH
#include "Resource.hh"
#endif

namespace fatalmind {
namespace TaskRunnerPoolInternals {

Resource::Resource()
: fatalmind::TaskRunner()
{
}

Resource::~Resource()
{
}

bool Resource::precheck()
{
	return true;
}

bool Resource::postcheck()
{
	return true;
}

void Resource::close()
{
	stop();
}

void Resource::fail_close()
{
	stop();
}

fatalmind::TaskRunner& Resource::get_plain_resource()
{
	return *this;
}

} // namespace TaskRunner
} // namespace fatalmind
